#! /bin/csh -f

if ( $#argv != 6 ) then
    echo "Usage : "$0" filename xmedian ymedian +sigma -sigma grow"
    exit 1
endif

set infile=$1
set x=$2
set y=$3
set sigmap=$4
set sigman=$5
set grow=$6

set TMPFRAME=rejbadpixframe
\rm tmp.stat
cat <<EOF > cl.com1
imdel $TMPFRAME
median $infile $TMPFRAME $x $y
imarith $infile - $TMPFRAME $TMPFRAME
imstatrej $TMPFRAME 5 > tmp.stat
logout
EOF
cat cl.com1 | cl
set MEDMAX=`gawk -v sigma=$sigmap '{print($2+$3*sigma)}' tmp.stat`
set MEDMIN=`gawk -v sigma=$sigman '{print($2-$3*sigma)}' tmp.stat`
cat <<EOF > cl.com2
imrepl $TMPFRAME 0 upper=$MEDMAX lower=$MEDMIN
imrepl $TMPFRAME 1 lower=$MEDMAX
imrepl $TMPFRAME 1 upper=$MEDMIN
boxcar $TMPFRAME $TMPFRAME $grow $grow
imrepl $TMPFRAME 1 lower=0.00000000001
disp $infile 1 fi+
fixpix $infile $TMPFRAME
disp $infile 1 fi+
logout
EOF
cat cl.com2 | cl
